# AP4_MemoryByteStream Class Reference

`#include <Ap4ByteStream.h>`

Inheritance diagram for AP4_MemoryByteStream:

List of all members.

## Public Member Functions
| AP4_MemoryByteStream (AP4_Size size=0)
| AP4_MemoryByteStream (const AP4_UI08 *buffer, AP4_Size size)
| AP4_MemoryByteStream (AP4_DataBuffer &data_buffer)
AP4_Result | ReadPartial (void *buffer, AP4_Size bytes_to_read, AP4_Size &bytes_read)
AP4_Result | WritePartial (const void *buffer, AP4_Size bytes_to_write, AP4_Size &bytes_written)
AP4_Result | Seek (AP4_Position position)
AP4_Result | Tell (AP4_Position &position)
AP4_Result | GetSize (AP4_LargeSize &size)
void | AddReference ()
void | Release ()
const AP4_UI08 * | GetData ()
AP4_UI08 * | UseData ()
AP4_Size | GetDataSize ()
## Protected Member Functions
virtual | ~AP4_MemoryByteStream ()

## Detailed Description

Definition at line 121 of file Ap4ByteStream.h.

## Constructor & Destructor Documentation

AP4_MemoryByteStream::AP4_MemoryByteStream | ( | AP4_Size | size = `0` | ) |

AP4_MemoryByteStream::AP4_MemoryByteStream | ( | const AP4_UI08 * | buffer,
|  | AP4_Size | size |
| ) |  |  |

AP4_MemoryByteStream::AP4_MemoryByteStream | ( | AP4_DataBuffer & | data_buffer | ) |

virtual AP4_MemoryByteStream::~AP4_MemoryByteStream | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

AP4_Result AP4_MemoryByteStream::ReadPartial | ( | void * | buffer,
|  | AP4_Size | bytes_to_read,
|  | AP4_Size & | bytes_read |
| ) |  |  | `[virtual]`

Implements AP4_ByteStream.

AP4_Result AP4_MemoryByteStream::WritePartial | ( | const void * | buffer,
|  | AP4_Size | bytes_to_write,
|  | AP4_Size & | bytes_written |
| ) |  |  | `[virtual]`

Implements AP4_ByteStream.

AP4_Result AP4_MemoryByteStream::Seek | ( | AP4_Position | position | ) | `[virtual]`

Implements AP4_ByteStream.

AP4_Result AP4_MemoryByteStream::Tell | ( | AP4_Position & | position | ) | `[inline, virtual]`

Implements AP4_ByteStream.

Definition at line 136 of file Ap4ByteStream.h.

References AP4_SUCCESS.

AP4_Result AP4_MemoryByteStream::GetSize | ( | AP4_LargeSize & | size | ) | `[inline, virtual]`

Implements AP4_ByteStream.

Definition at line 140 of file Ap4ByteStream.h.

References AP4_SUCCESS, and AP4_DataBuffer::GetDataSize().

void AP4_MemoryByteStream::AddReference | ( |  | ) | `[virtual]`

Implements AP4_Referenceable.

void AP4_MemoryByteStream::Release | ( |  | ) | `[virtual]`

Implements AP4_Referenceable.

const AP4_UI08* AP4_MemoryByteStream::GetData | ( |  | ) | `[inline]`

Definition at line 150 of file Ap4ByteStream.h.

References AP4_DataBuffer::GetData().

AP4_UI08* AP4_MemoryByteStream::UseData | ( |  | ) | `[inline]`

Definition at line 151 of file Ap4ByteStream.h.

References AP4_DataBuffer::UseData().

AP4_Size AP4_MemoryByteStream::GetDataSize | ( |  | ) | `[inline]`

Definition at line 152 of file Ap4ByteStream.h.

References AP4_DataBuffer::GetDataSize().

The documentation for this class was generated from the following file:

- Ap4ByteStream.h